<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activityMain"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".MainActivity"
    >


    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonHaus"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/button_text_color"
        android:text="@string/haus"
        android:textColor="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/buttonGlocke"
        app:layout_constraintStart_toStartOf="parent"
        tools:ignore="TextContrastCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonGlocke"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/button_text_color"
        android:text="@string/l_uten"
        android:textColor="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/buttonLicht"
        app:layout_constraintStart_toEndOf="@+id/buttonHaus"
        tools:ignore="TextContrastCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonLicht"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/button_text_color"
        android:text="@string/licht"
        android:textColor="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/buttonLog"
        app:layout_constraintStart_toEndOf="@+id/buttonGlocke"
        tools:ignore="TextContrastCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonLog"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/button_text_color"
        android:text="@string/log"
        android:textColor="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/buttonLicht" />

    <ImageView
        android:id="@+id/imageViewHaus"
        android:layout_width="0dp"
        android:layout_height="243dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="5dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/haus_neu"
        android:contentDescription="@string/todo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ImageContrastCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonDorisLicht"
        android:layout_width="0dp"
        android:layout_height="75dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/doris_licht"
        android:textColor="#FFFFFF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/buttonAlarm"
        app:layout_constraintTop_toBottomOf="@+id/buttonDoris" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonLWP"
        android:layout_width="0dp"
        android:layout_height="75dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/heizung"
        android:textColor="#FFFFFF"
        app:layout_constraintEnd_toStartOf="@+id/buttonDoris"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/imageViewHaus" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonDoris"
        android:layout_width="0dp"
        android:layout_height="75dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/doris"
        android:textColor="#FFFFFF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/buttonLWP"
        app:layout_constraintTop_toBottomOf="@+id/imageViewHaus" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonAlarm"
        android:layout_width="0dp"
        android:layout_height="75dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/alarm"
        android:textColor="#FFFFFF"
        app:layout_constraintEnd_toStartOf="@+id/buttonDorisLicht"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/buttonLWP" />

    <TextView
        android:id="@+id/textView_Mqtt"
        android:layout_width="50dp"
        android:layout_height="wrap_content"
        android:text="@string/mqtt"
        android:textColor="#D50000"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="@+id/imageViewHaus"
        app:layout_constraintTop_toTopOf="@+id/imageViewHaus" />

    <TextView
        android:id="@+id/textview_WM1"
        android:layout_width="0dp"
        android:layout_height="30dp"
        android:layout_marginStart="25dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="20dp"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        android:visibility="visible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/buttonAlarm"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/textview_WM2"
        android:layout_width="0dp"
        android:layout_height="30dp"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="20dp"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        android:visibility="visible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textview_WM1"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>